#pragma once

#include "CoreMinimal.h"
#include "CoreMenuLoadoutPartWidget.h"
#include "CoreMenuPerkWidget.generated.h"

class UDBDImage;
class UOverlay;
class UVerticalBox;
class UDBDTextBlock;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreMenuPerkWidget : public UCoreMenuLoadoutPartWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDImage* LevelImage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UOverlay* LockedOverlay;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UVerticalBox* UnlockLevelVerticalBox;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* UnlockLevelLabelTB;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* UnlockLevelTB;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UOverlay* RandomPerkOverlay;

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetMenuPerkLevel(int32 level);

public:
	UCoreMenuPerkWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreMenuPerkWidget) { return 0; }
